// pages/meeting/index/index.js
import {
    meetingGetPageList
} from '../../../utils/api/meeting'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        meetingList:[],
        searchData: {
            data: {},
            pageNum: 1,
            pageSize: 10000,
        },
        total: null,
        type: ''
    },
    getSearch(e){
        this.setData({
            'searchData.data.meetingName':e.detail.value
        })
        this.getList()
    },
    goto(e) {
        let item = JSON.stringify(e.currentTarget.dataset.item)
        wx.navigateTo({
            url: '/pages/meeting/detail/index?item=' + item + '&type=' + this.data.type
        })
    },
    // 会议室
    getList() {
        wx.showLoading({
            title: '加载中',
          })
        meetingGetPageList(this.data.searchData).then(res => {
            wx.hideLoading()
            this.setData({
                meetingList: res.data.records
            })
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        if (options.type) {
            this.setData({
                type: options.type
            })
        }
        this.getList()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        this.getList()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})